Subject: bug#41451: Haskell packages retain references to bootstrap variants

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 25 May 2020 11:18:19 +0200

Ricardo Wurmus <[email-masked]> writes:

> Some Haskell packages have a “-bootstrap” variant to cut dependency
> cycles.  Unfortunately, these bootstrap variants remain in the reference
> graph alongside their non-bootstrap counterparts.

On a related note, Haskell packages retain needless references to *all*
other Haskell packages at build time.  That’s because we *copy* their
.conf files at build time to create a package cache, and these .conf
files thus propagate even to unrelated packages.

We are effectively using propagation via the lib/ghc-8.6.5/<name>.conf.d
directory.

I don’t know if all the files in there are really necessary, but it
seems to me that perhaps this leads to spurious references.

-- 
Ricardo